package com.itsol.quantrivanphong.manager.project.projectgroup.bussiness;

import com.itsol.quantrivanphong.manager.project.projectgroup.dto.ProjectGroupDTO;
import com.itsol.quantrivanphong.report.issue.common.WrapperResult;

import java.util.List;

public interface ProjectGroupBussiness {
    //    chi tiết nhóm dự án
    List<ProjectGroupDTO> getGroupByProjectId(Integer projectId);

    //    thêm thành viên vào nhóm dự án
    WrapperResult saveEmployeeProject(ProjectGroupDTO dto);

    //    sửa thông tin nhóm dự án, các thành viên out nhóm
    WrapperResult updateEmployeeProject(ProjectGroupDTO dto);

    // thành viên out dự án
    WrapperResult deleteEmployeeProject(Integer id);

    WrapperResult updateEmployeeOutGroup(ProjectGroupDTO dto);

    ProjectGroupDTO findEmployeeProjectById(Integer id);
}
